package com.hxhq.business.enums.zykgl;

/**
 * 稽查轨迹类型:1:流程；3：编辑；5：人员；7：修改；9：补充说明
 * @author tanfei
 */
public enum JcgjlxEnum {

    /**
     * 流程
     */
    lc(1, "流程"),

    /**
     * 编辑
     */
    bj(3, "编辑"),

    /**
     * 人员
     */
    ry(5, "人员"),

    /**
     * 修改
     */
    xg(7, "修改"),

    /**
     * 补充说明
     */
    bcsm(9, "补充说明");

    private int value;
    private String text;

    JcgjlxEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static JcgjlxEnum getEnumByValue(int type) {
        for (JcgjlxEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
